## PDC Activate Config request PDC Activate Config request |

## Functions

QmiMessagePdcActivateConfigInput * | qmi_message_pdc_activate_config_input_new ()
QmiMessagePdcActivateConfigInput * | qmi_message_pdc_activate_config_input_ref ()
void | qmi_message_pdc_activate_config_input_unref ()
gboolean | qmi_message_pdc_activate_config_input_get_token ()
gboolean | qmi_message_pdc_activate_config_input_set_token ()
gboolean | qmi_message_pdc_activate_config_input_get_config_type ()
gboolean | qmi_message_pdc_activate_config_input_set_config_type ()
QmiMessagePdcActivateConfigOutput * | qmi_message_pdc_activate_config_output_ref ()
void | qmi_message_pdc_activate_config_output_unref ()
gboolean | qmi_message_pdc_activate_config_output_get_token ()
gboolean | qmi_message_pdc_activate_config_output_get_result ()
void | qmi_client_pdc_activate_config ()
QmiMessagePdcActivateConfigOutput * | qmi_client_pdc_activate_config_finish ()

## Types and Values

| QmiMessagePdcActivateConfigInput
| QmiMessagePdcActivateConfigOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcActivateConfigInput
        ╰── QmiMessagePdcActivateConfigOutput

## Description

## Functions

### qmi_message_pdc_activate_config_input_new ()

    QmiMessagePdcActivateConfigInput *
    qmi_message_pdc_activate_config_input_new
                                   (void);

Allocates a new QmiMessagePdcActivateConfigInput.

#### Returns

the newly created QmiMessagePdcActivateConfigInput. The returned value should be freed with `qmi_message_pdc_activate_config_input_unref()`.

Since: 1.18

### qmi_message_pdc_activate_config_input_ref ()

    QmiMessagePdcActivateConfigInput *
    qmi_message_pdc_activate_config_input_ref
                                   (QmiMessagePdcActivateConfigInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcActivateConfigInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_activate_config_input_unref ()

    void
    qmi_message_pdc_activate_config_input_unref
                                   (QmiMessagePdcActivateConfigInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcActivateConfigInput. |

Since: 1.18

### qmi_message_pdc_activate_config_input_get_token ()

    gboolean
    qmi_message_pdc_activate_config_input_get_token
                                   (QmiMessagePdcActivateConfigInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcActivateConfigInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_activate_config_input_set_token ()

    gboolean
    qmi_message_pdc_activate_config_input_set_token
                                   (QmiMessagePdcActivateConfigInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcActivateConfigInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_activate_config_input_get_config_type ()

    gboolean
    qmi_message_pdc_activate_config_input_get_config_type
                                   (QmiMessagePdcActivateConfigInput *self,
                                    QmiPdcConfigurationType *value_config_type,
                                    GError **error);

Get the 'Config Type' field from `self` .

#### Parameters

self | a QmiMessagePdcActivateConfigInput. |
value_config_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_activate_config_input_set_config_type ()

    gboolean
    qmi_message_pdc_activate_config_input_set_config_type
                                   (QmiMessagePdcActivateConfigInput *self,
                                    QmiPdcConfigurationType value_config_type,
                                    GError **error);

Set the 'Config Type' field in the message.

#### Parameters

self | a QmiMessagePdcActivateConfigInput. |
value_config_type | a QmiPdcConfigurationType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_activate_config_output_ref ()

    QmiMessagePdcActivateConfigOutput *
    qmi_message_pdc_activate_config_output_ref
                                   (QmiMessagePdcActivateConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcActivateConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_activate_config_output_unref ()

    void
    qmi_message_pdc_activate_config_output_unref
                                   (QmiMessagePdcActivateConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcActivateConfigOutput. |

Since: 1.18

### qmi_message_pdc_activate_config_output_get_token ()

    gboolean
    qmi_message_pdc_activate_config_output_get_token
                                   (QmiMessagePdcActivateConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcActivateConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_activate_config_output_get_result ()

    gboolean
    qmi_message_pdc_activate_config_output_get_result
                                   (QmiMessagePdcActivateConfigOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcActivateConfigOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_activate_config ()

    void
    qmi_client_pdc_activate_config (QmiClientPdc *self,
                                    QmiMessagePdcActivateConfigInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Activate Config request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_activate_config_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcActivateConfigInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_activate_config_finish ()

    QmiMessagePdcActivateConfigOutput *
    qmi_client_pdc_activate_config_finish (QmiClientPdc *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_pdc_activate_config()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_activate_config()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcActivateConfigOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_activate_config_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcActivateConfigInput

    typedef struct _QmiMessagePdcActivateConfigInput QmiMessagePdcActivateConfigInput;

The QmiMessagePdcActivateConfigInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcActivateConfigOutput

    typedef struct _QmiMessagePdcActivateConfigOutput QmiMessagePdcActivateConfigOutput;

The QmiMessagePdcActivateConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18